* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
body{
  background-color: rgba(128, 128, 128, 0.149) #d1d1d126;
}
html{
  scroll-behavior: smooth;
}
.main-container{
  overflow: hidden;
}
:root {
  --body-bg: rgb(94, 42, 0);
  --nav-bg: #ffd700;
  --button-background: orangered;
  --body-font: 'poppins', san-serif;
  --header-font-two: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  --header-font: 'OSwald', san-serif;
  --color-replace-black-one: #171717;
  --color-replace-black-two: #101720;
  --color-replace-black-three: #011222;
  --color-replace-black-four: #0D1717;
  --type-writer-font: 'Chivo Mono', san-serif;
}
.scroll-top{
  visibility: none;
  opacity: 0;
  position: fixed;
  right: 9%;
  bottom: 9%;
}
.scroll-top.active{
  
  border-radius: 50%;
  width: 40px;
  height: 40px;
  z-index: 1000;
  text-decoration: none;
  justify-content: center;
  align-items: center;
  background-color: whitesmoke;
  display: flex;
  visibility: visible;
  opacity: 1;
  transition-duration: .5s;
  border: 2px var(--color-replace-black-three) solid;
}
.scroll-top .fa-solid{
  color: var(--color-replace-black-three);
  font-size: 24px;
}
.top-container{
  background: url(ASSET/welcome.jpg);
  background-position: center;
  background-size: cover;
  width: 100vw;
  height: 100svh;
  position: relative;
}
.top-section{
  position: absolute;
  inset: 0 0 0 0;
  background-color: rgba(0, 0, 0, .4);
}
.top-container.load .loading{
  height: 3px;
  position: absolute;
  top: 0;
  border-radius: 20px;
  background-color: var(--nav-bg);
  z-index: 900;
  animation: load-animation .7s linear 1 forwards;
}
@keyframes load-animation {
  0%{
    width: 100%;
  }
  100%{
    width: 0;
  }
  
}
nav-mobile {
  display: none;
}
nav{
  display: flex;
  width: 100%;
  height: 60px;
  justify-content: space-around;
  align-items: center;
}
nav ul{
  list-style: none;
  display: flex;
  gap: 30px;
  font-family:  var(--header-font);
  font-weight: 800;
  justify-content: left;

}
nav ul li a{
  color: white;
  font-weight: 600;
  font-size: 1rem;
  text-decoration: none;
  position: relative;
}
nav ul li a.active{
  color: var(--nav-bg);
}
nav ul li a:hover{
  color: var(--nav-bg);
  transition-duration: .3s;
}
nav ul li a::before{
  content: "";
  height: 2px;
  width: 0%;
  bottom: -8px;
  position: absolute;
  border-radius: 10px;
  transition-duration: .3s;
}
nav ul li:hover a::before{
  width: 80%;
  background-color:  var(--nav-bg);
}
nav ul li a.active::before{
  background-color: var(--nav-bg);
  width: 80%;
}
nav .socials{
  gap: 13px;
  display: flex;
  transition-duration: .3s;
  margin-left: 60px;
  align-items: center;
}
nav .socials a{
  color: white;
  text-decoration: none;
}
nav .socials a .fa, .fa-brands{
  text-shadow: 0 0 14px white;
  rotate: -5deg;
  font-size: 26px;
}
nav .registration{
  margin-left: 20px;
}
nav .registration a{
  padding: 6px 25px;
  font-weight: bold;
  letter-spacing: 2px;
  font-family: var(--header-font-two);
}
nav .registration a:nth-child(1){
  border: 2px white solid;
  transition-duration: .3s;
}
nav .registration a:nth-child(1):hover{
  color: black;
  background-color: white;
  box-shadow: 0 0 14px white;
}
nav .registration a:nth-child(2){
  color: white;
  background-color: black;
  border: 2px black solid;
  transition-duration: .3s;
}
nav .registration a:nth-child(2):hover{
  color: black;
  border: 2px white solid;
  background-color: white;
  box-shadow: 0 0 14px white;
}
.logo{
  width: 70px;
  height: 70px;
}
.hero-text{
  color: white;
  position: absolute;
  font-family:  var(--header-font);
  top: 45%;
  left: 45%;
  transform: translate(-50%, -50%);
  text-transform: uppercase;
  display: flex;
  justify-content: left;
  flex-direction: column;
  font-weight: 700;
}
.hero-text span{
  font-size: clamp(2.5rem, 4vw, 5rem);
  letter-spacing: 2px;
  color: white;
}
.hero-text div{
  font-size: clamp(1.5rem, 4vw, 3.5rem);
  letter-spacing: 2px;
  color: var(--nav-bg);
}
.hero-text p{
  font-size: clamp(.8rem, 4vw, 2.8rem);
  letter-spacing: 2px;
  color: var(--nav-bg);
}
.hero-text a{
  text-transform: uppercase;
  border: 2px white solid;
  font-weight: 600;
  font-size: 13px;
  display: flex;
  justify-content: center;
  padding-inline: 10px;
  padding-block: 10px;
  width: 75%;
  text-decoration: none;
  color: white;
  margin-top: 20px;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  letter-spacing: 1px;
  transition: all .5s ease-in-out;
}
.hero-text a:hover{
  color: var(--color-replace-black-three);
  background-color: white;
  border-color: white;
}
.body{
  padding-top: 60px;
}
.body-details{
  display: flex;
  justify-content: center;
  align-items: center;
  padding-inline: 14%;
  margin-bottom: 60px;
}
.body-heading{
  width: 100%;
  margin-bottom: 20px;
  color: var(--color-replace-black-two);
}
.body-heading div{
  display: flex;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  align-items: center;
  font-weight: 600;
  letter-spacing: 2px;
  margin: 0 0 8px 8px;
}
.body-heading div hr{
  border: none;
  width: 40px;
  height: 1.8px;
  background-color: var(--color-replace-black-two);
  margin-right: 10px;
}
.body-heading h2{
  font-family: var(--header-font-two);
}
.body-notes{
  width: 100%;
  padding-right: 20px;
  box-sizing: border-box;
  font-family: var(--body-font);
}
.body-notes div{
  font-size: 14px;
  margin: 10px 0 25px 0;
  line-height: 1.3rem;
}
.body-notes a{
  color: white;
  box-shadow: 0 0 10px rgba(0, 0, 0, .4);
  text-decoration: none;
  font-size: 12px;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-weight: 600;
  letter-spacing: 2px;
  padding-inline: 30px;
  
  padding-block: 10px;
  position: relative;
}
.body-notes a::before{
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  transition-duration: .3s;
}
.body-notes a:hover::before{
  background-color: var(--button-background);
  animation: multipleColor 2s linear infinite;
}
@keyframes multipleColor {
  to{
    filter: hue-rotate(350deg);
  }
}
.body-notes a::after{
  content: "";
  position: absolute;
  inset: 2px;
  background-color: var(--color-replace-black-two);
}
.body-notes a span{
  position: relative;
  z-index: 20;
  
}
.explore-works{
  background-color: whitesmoke;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-bottom: 60px;
}
.explore-works .heading{
  margin-top: 60px;
}
.explore-works .heading div{
  display: flex;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  align-items: center;
  font-weight: 600;
  letter-spacing: 2px;
  margin: 0 0 15px 8px;
}
.explore-works .heading div hr{
  border: none;
  width: 40px;
  height: 1.8px;
  background-color: var(--color-replace-black-two);
  margin-right: 10px;
}
.explore-works .heading h2, h4{
  font-family: var(--header-font-two);
}
.explore-works .heading h4{
  letter-spacing: 2px;
}
.explore-images{
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  margin-top: 40px;
  margin-inline: 10%;
}
.explore-images .item{
  flex: 1 0 300px;
  width: 300px;
  height: 250px;
  position: relative;
  display: flex;
  justify-content: center;
  color: var(--color-replace-black-two);
  box-shadow: 0 0 14px gray,
  0 0 20px gray;
}
.explore-images .item img{
  width: 100%;
  position: absolute;
  height: 80%;
  object-fit: cover;
}
.explore-images .item h4{
  position: absolute;
  bottom: 10px;
}
.reviews-container{
  background: url(ASSET/review\ background.jpg);
  background-position: center;
  background-size: cover;

}
.reviews{
  background-color: rgba(1, 18, 34, .8);
  flex-wrap: wrap;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  justify-content: space-evenly;
  padding-block: 30px;
  padding-inline: 7%;
}
.reviews .notes{
  color: gainsboro;
}

.reviews .opinion h4{
  width: 80%;
  margin-block: 14px;
  font-size: 1.2rem;
  font-family: var(--type-writer-font);
}
.reviews .opinion .notes{
  font-family: var(--body-font);
  font-size: 13px;
  width: 80%;
  margin-bottom: 14px;
}
.reviews .opinion .user-name{
  display: flex;
  align-items: center;
  text-transform: uppercase;
  font-family: var(--header-font-two);
  font-size: 14px;
  letter-spacing: 2px;
  font-weight: 600;
}
.opinion .user-name hr{
  width: 3px;
  background-color: gold;
  border: none;
  border-radius: 20px;
  height: 25px;
  margin-right: 20px;
}
#services{
  display: flex;
  padding-block: 40px;
  flex-direction: column;
  align-items: center;
  align-items: center;
  padding-inline: 5%;
  background-color: whitesmoke;
}
#services h1{
  margin: 20px;
  font-family: var(--header-font);
}
#services h3{
  margin: 10px;
  font-family: var(--header-font-two);
  letter-spacing: 2px;
}
.tech-hub, 
.business-center,
.printing,
.others{
  display: grid;
  max-width: 1000px;
  width: 100%;
  gap: 14px 5px;
  justify-items: center;
  grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}
.tech, 
.center,
.print,
.other{
  width: 200px;
  height: 200px;
  position: relative;
  display: flex;
  justify-content: center;
  border-radius: 16px;
  overflow: hidden;
  background-color: gainsboro;
  transition: .5s;
}
.tech:hover, 
.center:hover,
.print:hover,
.other:hover{
  background-color: white;
  rotate: -5deg;
  cursor: pointer;
}
.tech img,
.center img,
.print img, 
.other img{
  position: absolute;
  width: 100%;
  height: 75%;
  object-fit: cover;
}
.tech h4,
.center h4, 
.print h4,
.other h4{
  position: absolute;
  bottom: 14px;
}
.contact-page-ref{
  background: url(ASSET/home\ contact.jpg);
  width: 100%;
  height: 400px;
  display: flex;
  align-items: center;
  color: white;
  padding-inline: 40px;
  background-position: center;
  background-size: cover;
  position: relative;

}
.contact-page-ref .content{
  position: absolute;
  left: 20%;
  top: 50%;
  transform: translate(-50%, -50%);
  box-sizing: border-box;
}
.contact-page-ref .content h1{
  font-family: var(--header-font);
  margin-block: 10px;
}
.contact-page-ref .content div{
  text-transform: uppercase;
  font-size: 1.2rem;
  font-family: var(--header-font-two);
  font-weight: bold;
  letter-spacing: 2px;
  margin-block: 10px;
}
.contact-page-ref .content a{
  text-transform: uppercase;
  border: 2px white solid;
  font-weight: 600;
  font-size: 13px;
  display: flex;
  justify-content: center;
  padding-inline: 10px;
  padding-block: 10px;
  width: 50%;
  text-decoration: none;
  color: white;
  margin-top: 20px;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  letter-spacing: 1px;
  transition: all .3s ease-in-out;
}
.contact-page-ref .content a:hover{
  color: white;
  background-color: rgba(0, 0, 0, .6);
  border: 2px rgba(0, 0, 0, .6) solid;
}
/* footer{
  position: fixed;
  bottom: 0;
} */
footer{
  /* box-shadow: 0 0 14px gray,
  0 0 20px gray; */
}
.footer-content{
  background: linear-gradient(to bottom, var(--color-replace-black-two) 100%, var(--color-replace-black-three));
  padding-inline: 30px; 
  color: white;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 100px;
}
.footer-content .socials{
  gap: 13px;
  display: flex;
  margin: 20px 0 10px 0;
}
.footer-content .logo{
  margin-top: 20px;
}
.footer-content .socials a{
  color: whitesmoke;
  text-decoration: none;
}

.footer-content .socials a .fa, .fa-brands{
  font-size: 26px;
  text-shadow: 0 0 14px white;
  rotate: -5deg;
  transition-duration: .15s;
}
.footer-content ul{
  list-style: none;
  display: flex;
  gap: 20px;
  margin: 20px 0 10px 0;
  justify-content: space-evenly;
  text-transform: uppercase;
  font-family: var(--header-font-two);
  letter-spacing: 1.2px;
  font-size: 13px;
  font-weight: 600;

}
.footer-content ul li a{
  color: white;
  text-decoration: none;
}
.footer-content hr{
  width: 100%;
  margin: 0 0 20px 0;
}
.footer-content .credits{
  margin-bottom: 20px;
  font-family: var(--body-font);
  font-size: 13px;
}
.no-scale{
  transform: scale(0);
  transition: all .2s ease-in;
}
.scale-in{
  transform: scale(1);
  transition-delay: calc(150ms * var(--i));
}
.filter-blur{
  transform: translateY(150px);
  filter: blur(14px);
  opacity: 0;
  transition: all .4s ease-in;
}
.animate-in{
  transform: translateY(0);
  filter: blur(0);
  opacity: 1;
}
.left-element{
  transform: translateX(-100%);
  opacity: 0;
  filter: blur(14px);
  transition: all .4s ease-in;
}
.right-element{
  transform: translateX(100%);
  opacity: 0;
  filter: blur(14px);
  transition: all .4s ease-in;
}
.animate-back{
  transform: translateX(0);
  opacity: 1;
  filter: blur(0);
}





@media screen and (max-width: 1024px){
  .hero-text{
    left: 50%;
    top: 50%;
    width: 80%;
  }
  /* .hero-text */
  nav{
    display: none;
  }
  nav-mobile {
    display: flex;
    position: relative;
    align-items: center;
    height: 70px;
  }
  nav-mobile .logo{
    position: absolute;
    left: 10%;
    height: 70px;
    width: 70px;
  }
  nav-mobile .toggle{
    position: absolute;
    right: 10%;
    background: none;
    border: none;
    cursor: pointer;
  }
  nav-mobile .toggle .fa-solid{
    font-size: 24px;
    color: white;
    transition-duration: .3s;
  }
  nav-mobile .nav-container{
    position: absolute;
    right: 0;
    top: 0;
    width: 100%;
    z-index: 1000;

  }
  nav-mobile .nav-links{
    background-color: var(--color-replace-black-three);
    width: 70%;
    right: 0;
    top: 0;
    position: absolute;
    height: 100svh;
    display: flex;
    justify-content: center;
    align-items: center;
    transform: translateX(100%);
    transition: all .3s ease-in;
    flex-direction: column;
  }
  nav-mobile .nav-links ul{
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 30px;
    width: 100%;
  }
  nav-mobile .nav-links ul li{
    justify-content: center;
    display: flex;
    align-items: center;
    height: 40px;
  }
  nav-mobile .nav-links ul li a{
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    letter-spacing: 2px;
    font-family: var(--header-font-two);
  }
  nav-mobile .nav-links .close{
    position: absolute;
    top: 40px;
    left: 40px;
    background: none;
    border: none;
    cursor: pointer;
  }
  nav-mobile .nav-links .close .fa-solid{
    font-size: 24px;
    color: white;
    transition-duration: .3s;
  }
  nav-mobile .toggle:hover .fa-solid,
  nav-mobile .nav-links .close:hover .fa-solid{
    color: var(--nav-bg);
  }
  .nav-links.open-navigation{
    transform: translateX(0);
  }
  .nav-links .socials{
    gap: 13px;
    display: flex;
    position: absolute;
    bottom: 5%;
  }
  .nav-links .socials a{
    color: whitesmoke;
    text-decoration: none;
  }
  .nav-links .socials a .fa, .fa-brands{
    font-size: 26px;
    text-shadow: 0 0 14px white;
    color: white;
    rotate: -5deg;
    transition-duration: .15s;
  }
  .nav-links .registration{
    display: flex;
    gap: 14px;
    position: absolute;
    top: 23%;
    flex-wrap: wrap;
    margin-inline: 20px;
  }
  .nav-links .registration a{
    padding: 6px 20px;
    flex: 1 0 123px;
    width: 150px;
    font-weight: bold;
    letter-spacing: 2px;
    text-decoration: none;
    font-family: var(--header-font-two);
    display: flex;
    justify-content: center;
  }
  .nav-links .registration a:nth-child(1){
    border: 2px white solid;
    transition-duration: .3s;
    color: white;
  }
  .nav-links .registration a:nth-child(1):hover{
    color: black;
    background-color: white;
    box-shadow: 0 0 14px white;
  }
  .nav-links .registration a:nth-child(2){
    color: white;
    background-color: black;
    border: 2px black solid;
    transition-duration: .3s;
  }
  .nav-links .registration a:nth-child(2):hover{
    color: black;
    border: 2px white solid;
    background-color: white;
    box-shadow: 0 0 14px white;
  }
  .nav-links .logo{
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 70px;
    width: 70px;
  }
  .body-details{
    flex-wrap: wrap;
  }
  .body-details{
    padding-inline: 10%;
  }
  .reviews{
    text-align: left;
    justify-content: left;
  }
  .contact-page-ref .content{
    left: 55%;
    width: 100%;
  }
}
